% Redo ticks rescaling the series (not the axis)
% give figure number and scale
function graph_redoticks(fignumb,scale,size_lb);

h=get(figure(fignumb));
gg=h.Children;
zz=1;
for uu=1:length(gg);
    tmp0=get(gg(uu));
    if isfield(tmp0,'YTickMode');
        zz=uu;
        break
    end
end
for jj=zz:length(gg);
    
    %%%%%%%%%%%%%%%% rescale
    if nargin>1
        if isfield(get(gg(jj)),'String')
        else
            set(gg(jj),'YTickMode','auto')
            set(gg(jj),'YTickLabelMode','auto')
            set(gg(jj),'YLim',sort(get(gg(jj),'YLim')*scale))
            tmp=get(gg(jj),'Children');
            for kk=1:length(tmp)
                set(tmp(kk),'YData',get(tmp(kk),'YData')*scale);
            end
            if nargin==3
                set(gg(jj),'FontSize',size_lb)
            end
        end
    end
    
end

%%%%%%%%%%%%%%%%%

axis tight
return

